MagickCore: Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y

### - m -

- MagicFilename : magic.c
- magick_attribute : deprecate.h , studio.h , MagickCore.h
- magick_unused : studio.h
- MagickCoderFilename : coder.c
- MagickCopyright : version.h
- MAGICKCORE__FILE_OFFSET_BITS : magick-config.h
- MAGICKCORE_BUILD_MODULES : magick-config.h
- MAGICKCORE_BZLIB_DELEGATE : magick-config.h
- MAGICKCORE_CODER_PATH : magick-config.h
- MAGICKCORE_CODER_RELATIVE_PATH : magick-config.h
- MAGICKCORE_CONFIGURE_PATH : magick-config.h
- MAGICKCORE_CONFIGURE_RELATIVE_PATH : magick-config.h
- MAGICKCORE_DOCUMENTATION_PATH : magick-config.h
- MAGICKCORE_EXECUTABLE_PATH : magick-config.h
- MAGICKCORE_FILTER_PATH : magick-config.h
- MAGICKCORE_FILTER_RELATIVE_PATH : magick-config.h
- MAGICKCORE_FONTCONFIG_DELEGATE : magick-config.h
- MAGICKCORE_FREETYPE_DELEGATE : magick-config.h
- MAGICKCORE_GS_DELEGATE : magick-config.h
- MAGICKCORE_GVC_DELEGATE : magick-config.h
- MAGICKCORE_HAVE__BOOL : magick-config.h
- MAGICKCORE_HAVE__EXIT : magick-config.h
- MAGICKCORE_HAVE_ARGZ_APPEND : magick-config.h
- MAGICKCORE_HAVE_ARGZ_CREATE_SEP : magick-config.h
- MAGICKCORE_HAVE_ARGZ_H : magick-config.h
- MAGICKCORE_HAVE_ARGZ_INSERT : magick-config.h
- MAGICKCORE_HAVE_ARGZ_NEXT : magick-config.h
- MAGICKCORE_HAVE_ARGZ_STRINGIFY : magick-config.h
- MAGICKCORE_HAVE_ATEXIT : magick-config.h
- MAGICKCORE_HAVE_CLOCK : magick-config.h
- MAGICKCORE_HAVE_CLOSEDIR : magick-config.h
- MAGICKCORE_HAVE_DECL_PREAD : magick-config.h
- MAGICKCORE_HAVE_DECL_PWRITE : magick-config.h
- MAGICKCORE_HAVE_DECL_STRLCPY : magick-config.h
- MAGICKCORE_HAVE_DECL_VSNPRINTF : magick-config.h
- MAGICKCORE_HAVE_DIRENT_H : magick-config.h
- MAGICKCORE_HAVE_DLERROR : magick-config.h
- MAGICKCORE_HAVE_DLFCN_H : magick-config.h
- MAGICKCORE_HAVE_ERRNO_H : magick-config.h
- MAGICKCORE_HAVE_ERROR_T : magick-config.h
- MAGICKCORE_HAVE_EXECVP : magick-config.h
- MAGICKCORE_HAVE_FCNTL_H : magick-config.h
- MAGICKCORE_HAVE_FORK : magick-config.h
- MAGICKCORE_HAVE_FSEEKO : magick-config.h
- MAGICKCORE_HAVE_FT2BUILD_H : magick-config.h
- MAGICKCORE_HAVE_FTIME : magick-config.h
- MAGICKCORE_HAVE_FTRUNCATE : magick-config.h
- MAGICKCORE_HAVE_GETCWD : magick-config.h
- MAGICKCORE_HAVE_GETDTABLESIZE : magick-config.h
- MAGICKCORE_HAVE_GETPAGESIZE : magick-config.h
- MAGICKCORE_HAVE_GETPID : magick-config.h
- MAGICKCORE_HAVE_GETTIMEOFDAY : magick-config.h
- MAGICKCORE_HAVE_INTTYPES_H : magick-config.h
- MAGICKCORE_HAVE_LCMS_H : magick-config.h
- MAGICKCORE_HAVE_LIBDL : magick-config.h
- MAGICKCORE_HAVE_LIBDLLOADER : magick-config.h
- MAGICKCORE_HAVE_LIMITS_H : magick-config.h
- MAGICKCORE_HAVE_LOCALE_H : magick-config.h
- MAGICKCORE_HAVE_LONG_DOUBLE : magick-config.h
- MAGICKCORE_HAVE_LONG_DOUBLE_WIDER : magick-config.h
- MAGICKCORE_HAVE_LSTAT : magick-config.h
- MAGICKCORE_HAVE_LTDL : magick-config.h
- MAGICKCORE_HAVE_MEMORY_H : magick-config.h
- MAGICKCORE_HAVE_MEMSET : magick-config.h
- MAGICKCORE_HAVE_MKSTEMP : magick-config.h
- MAGICKCORE_HAVE_MMAP : magick-config.h
- MAGICKCORE_HAVE_MMAP_FILEIO : magick-config.h
- MAGICKCORE_HAVE_MUNMAP : magick-config.h
- MAGICKCORE_HAVE_OPENDIR : magick-config.h
- MAGICKCORE_HAVE_PCLOSE : magick-config.h
- MAGICKCORE_HAVE_POLL : magick-config.h
- MAGICKCORE_HAVE_POPEN : magick-config.h
- MAGICKCORE_HAVE_PREAD : magick-config.h
- MAGICKCORE_HAVE_PRELOADED_SYMBOLS : magick-config.h
- MAGICKCORE_HAVE_PTHREAD : magick-config.h
- MAGICKCORE_HAVE_PWRITE : magick-config.h
- MAGICKCORE_HAVE_RAISE : magick-config.h
- MAGICKCORE_HAVE_RAND_R : magick-config.h
- MAGICKCORE_HAVE_READDIR : magick-config.h
- MAGICKCORE_HAVE_READLINK : magick-config.h
- MAGICKCORE_HAVE_REALPATH : magick-config.h
- MAGICKCORE_HAVE_SEEKDIR : magick-config.h
- MAGICKCORE_HAVE_SELECT : magick-config.h
- MAGICKCORE_HAVE_SETLOCALE : magick-config.h
- MAGICKCORE_HAVE_SETVBUF : magick-config.h
- MAGICKCORE_HAVE_SHAPE : magick-config.h
- MAGICKCORE_HAVE_SHARED_MEMORY : magick-config.h
- MAGICKCORE_HAVE_SIGACTION : magick-config.h
- MAGICKCORE_HAVE_SIGEMPTYSET : magick-config.h
- MAGICKCORE_HAVE_STAT : magick-config.h
- MAGICKCORE_HAVE_STDARG_H : magick-config.h
- MAGICKCORE_HAVE_STDBOOL_H : magick-config.h
- MAGICKCORE_HAVE_STDINT_H : magick-config.h
- MAGICKCORE_HAVE_STDLIB_H : magick-config.h
- MAGICKCORE_HAVE_STRCASECMP : magick-config.h
- MAGICKCORE_HAVE_STRCSPN : magick-config.h
- MAGICKCORE_HAVE_STRDUP : magick-config.h
- MAGICKCORE_HAVE_STRERROR : magick-config.h
- MAGICKCORE_HAVE_STRING_H : magick-config.h
- MAGICKCORE_HAVE_STRINGIZE : magick-config.h
- MAGICKCORE_HAVE_STRINGS_H : magick-config.h
- MAGICKCORE_HAVE_STRNCASECMP : magick-config.h
- MAGICKCORE_HAVE_STRPBRK : magick-config.h
- MAGICKCORE_HAVE_STRSPN : magick-config.h
- MAGICKCORE_HAVE_STRSTR : magick-config.h
- MAGICKCORE_HAVE_STRTOL : magick-config.h
- MAGICKCORE_HAVE_SYMLINK : magick-config.h
- MAGICKCORE_HAVE_SYS_IPC_H : magick-config.h
- MAGICKCORE_HAVE_SYS_RESOURCE_H : magick-config.h
- MAGICKCORE_HAVE_SYS_SELECT_H : magick-config.h
- MAGICKCORE_HAVE_SYS_SOCKET_H : magick-config.h
- MAGICKCORE_HAVE_SYS_STAT_H : magick-config.h
- MAGICKCORE_HAVE_SYS_TIME_H : magick-config.h
- MAGICKCORE_HAVE_SYS_TIMEB_H : magick-config.h
- MAGICKCORE_HAVE_SYS_TIMES_H : magick-config.h
- MAGICKCORE_HAVE_SYS_TYPES_H : magick-config.h
- MAGICKCORE_HAVE_SYS_WAIT_H : magick-config.h
- MAGICKCORE_HAVE_SYSCONF : magick-config.h
- MAGICKCORE_HAVE_TELLDIR : magick-config.h
- MAGICKCORE_HAVE_TEMPNAM : magick-config.h
- MAGICKCORE_HAVE_TIFFCONF_H : magick-config.h
- MAGICKCORE_HAVE_TIFFMERGEFIELDINFO : magick-config.h
- MAGICKCORE_HAVE_TIFFSETTAGEXTENDER : magick-config.h
- MAGICKCORE_HAVE_TIMES : magick-config.h
- MAGICKCORE_HAVE_UNISTD_H : magick-config.h
- MAGICKCORE_HAVE_USLEEP : magick-config.h
- MAGICKCORE_HAVE_VPRINTF : magick-config.h
- MAGICKCORE_HAVE_VSNPRINTF : magick-config.h
- MAGICKCORE_HAVE_VSPRINTF : magick-config.h
- MAGICKCORE_HAVE_WAITPID : magick-config.h
- MAGICKCORE_HAVE_WORKING_ARGZ : magick-config.h
- MAGICKCORE_IMPLEMENTATION : studio.h
- MAGICKCORE_INSTALLED_SUPPORT : magick-config.h
- MAGICKCORE_JP2_DELEGATE : magick-config.h
- MAGICKCORE_JPEG_DELEGATE : magick-config.h
- MAGICKCORE_LCMS_DELEGATE : magick-config.h
- MAGICKCORE_LIBRARY_PATH : magick-config.h
- MAGICKCORE_LIBRARY_RELATIVE_PATH : magick-config.h
- MAGICKCORE_LT_DLSEARCH_PATH : magick-config.h
- MAGICKCORE_LT_MODULE_EXT : magick-config.h
- MAGICKCORE_LT_MODULE_PATH_VAR : magick-config.h
- MAGICKCORE_LT_OBJDIR : magick-config.h
- MAGICKCORE_LTDL_DELEGATE : magick-config.h
- MAGICKCORE_LTDL_DLOPEN_SELF_WORKS : magick-config.h
- MAGICKCORE_MODULES_SUPPORT : studio.h
- MAGICKCORE_OPENEXR_DELEGATE : magick-config.h
- MAGICKCORE_PACKAGE : magick-config.h
- MAGICKCORE_PACKAGE_BUGREPORT : magick-config.h
- MAGICKCORE_PACKAGE_NAME : magick-config.h
- MAGICKCORE_PACKAGE_STRING : magick-config.h
- MAGICKCORE_PACKAGE_TARNAME : magick-config.h
- MAGICKCORE_PACKAGE_VERSION : magick-config.h
- MAGICKCORE_PNG_DELEGATE : magick-config.h
- MAGICKCORE_POSIX_SUPPORT : studio.h
- MAGICKCORE_QUANTUM_DEPTH : magick-config.h
- MAGICKCORE_RETSIGTYPE : magick-config.h
- MAGICKCORE_RSVG_DELEGATE : magick-config.h
- MAGICKCORE_SELECT_TYPE_ARG1 : magick-config.h
- MAGICKCORE_SELECT_TYPE_ARG234 : magick-config.h
- MAGICKCORE_SELECT_TYPE_ARG5 : magick-config.h
- MAGICKCORE_SHARE_CONFIGURE_PATH : magick-config.h
- MAGICKCORE_SHARE_CONFIGURE_RELATIVE_PATH : magick-config.h
- MAGICKCORE_SHARE_PATH : magick-config.h
- MAGICKCORE_SIZEOF_OFF_T : magick-config.h
- MAGICKCORE_SIZEOF_SIGNED_INT : magick-config.h
- MAGICKCORE_SIZEOF_SIGNED_LONG : magick-config.h
- MAGICKCORE_SIZEOF_SIGNED_LONG_LONG : magick-config.h
- MAGICKCORE_SIZEOF_SIGNED_SHORT : magick-config.h
- MAGICKCORE_SIZEOF_SIZE_T : magick-config.h
- MAGICKCORE_SIZEOF_UNSIGNED_INT : magick-config.h
- MAGICKCORE_SIZEOF_UNSIGNED_INTP : magick-config.h
- MAGICKCORE_SIZEOF_UNSIGNED_LONG : magick-config.h
- MAGICKCORE_SIZEOF_UNSIGNED_LONG_LONG : magick-config.h
- MAGICKCORE_SIZEOF_UNSIGNED_SHORT : magick-config.h
- MAGICKCORE_STDC_HEADERS : magick-config.h
- MAGICKCORE_TIFF_DELEGATE : magick-config.h
- MAGICKCORE_TIME_WITH_SYS_TIME : magick-config.h
- MAGICKCORE_VERSION : magick-config.h
- MAGICKCORE_WMFLITE_DELEGATE : magick-config.h
- MAGICKCORE_X11_CONFIGURE_PATH : magick-config.h
- MAGICKCORE_X11_DELEGATE : magick-config.h
- MAGICKCORE_XML_DELEGATE : magick-config.h
- MAGICKCORE_ZLIB_DELEGATE : magick-config.h
- MagickDLLCall : delegate.h
- MagickEpsilon : magick-type.h
- MagickExport : MagickCore.h , studio.h
- MagickGlobal : studio.h , MagickCore.h
- MagickHomeURL : version.h
- MagickHuge : magick-type.h
- MagickImageCoderSignature : module.h
- MagickImageFilterSignature : module.h
- MagickLibVersion : version.h
- MagickLibVersionNumber : version.h
- MagickLibVersionText : version.h
- MagickLLConstant : magick-type.h
- MagickLogFilename : log.h
- MagickMaxBufferSize : blob.h
- MagickMenus : display.c , animate.c
- MagickPackageName : version.h
- MagickPI : image-private.h
- MagickQuantumDepth : version.h
- MagickQuantumRange : version.h
- MagickReleaseDate : version.h
- MagickResourceInfinity : resource_.h
- MagickSeek : studio.h
- MagickSigma : effect.c
- MagickSignature : studio.h , MagickCore.h
- MagickSignatureSize : signature.h
- MagickSizeFormat : magick-type.h
- MagickSQ1_2 : image-private.h
- MagickSQ2PI : image-private.h
- MagickTell : studio.h
- MagickTitle : animate.c , display.c
- MagickTypeFilename : type.c
- MagickULLConstant : magick-type.h
- MagickURLFilename : version.c
- MagickVersion : version.h
- MagnifySize : display.c
- MAP_ANONYMOUS : nt-base.h
- MAP_FAILED : blob.c
- MAP_PRIVATE : nt-base.h
- MAP_SHARED : nt-base.h
- MatteIsActive : widget.c
- MaxBlockExponent : memory.c
- MaxBlocks : memory.c
- MaxCapacities : hashmap.c
- MaxColormapSize : magick-type.h
- MaxColors : display.c
- MaxDimension : segment.c
- MaxDirectoryStack : property.c , profile.c
- MaximumUniqueColors : color.c
- MaxLineExtent : compress.c
- MaxMap : magick-type.h
- MaxNodes : quantize.c
- MaxRange : enhance.c
- MaxRecursionDepth : locale.c
- MaxRGB : magick-type.h
- MaxSegments : memory.c
- MaxSplayTreeDepth : splay-tree.c
- MaxStacksize : paint.c , deprecate.c
- MaxStandardColormaps : xwindow.c
- MaxTextExtent : MagickCore.h , studio.h
- MaxTextWidth : widget.c
- MaxTreeDepth : quantize.c , color.c
- MaXWindows : animate.c
- MBHashA : compress.c
- MBHashB : compress.c
- MBId : compress.c
- MedianFilterImageTag : effect.c
- MediumHashmapSize : hashmap.h
- MegabytesToBytes : log.c
- MemoryGuard : memory.c
- MergeLayersTag : layer.c
- MimeFilename : mime.c
- MinimumCropArea : xwindow.c
- MinTextWidth : widget.c
- MinWindowSize : xwindow.c
- mmap : nt-base.h
- ModulateImageTag : enhance.c
- ModuleExport : studio.h , MagickCore.h
- ModuleGlobExpression : module.c
- MontageImageTag : montage.c
- MorphImageTag : fx.c
- MS_SYNC : blob.c
- msync : nt-base.h
- munmap : nt-base.h
- MWHashA : compress.c
- MWHashB : compress.c
- MWId : compress.c